API reference

Account

For new integrations, we recommend using the Accounts v2 API, in place of /v1/accounts and /v1/customers to represent a user. This is an object representing a Stripe account. You can retrieve it to see properties on the account like its current requirements or if the account is enabled to make live charges or receive payouts. For accounts where controller.requirement_collection is application, which includes Custom accounts, the properties below are always returned. For accounts where controller.requirement_collection is stripe, which includes Standard and Express accounts, some properties are only returned until you create an Account Link or Account Session to start Connect Onboarding. Learn about the differences between accounts.

Knox answers these operations with the same requests and responses as Stripe's API. Authenticate with your secret key, Authorization: Bearer sk_test_..., from your server, and send form-encoded bodies. Test mode only: live processing is currently disabled.

Base URL
https://api.knoxapi.com

Retrieve account

GET/v1/account

Retrieves the details of an account.

Query parameters

  • expandarray of strings

    Specifies which fields in the response should be expanded.

Returns

The account object.

GET /v1/account
curl https://api.knoxapi.com/v1/account \
  -H "Authorization: Bearer $KNOX_SECRET_KEY"
Response
{
  "business_profile": {
    "annual_revenue": {
      "amount": null,
      "currency": null,
      "fiscal_year_end": null
    },
    "estimated_worker_count": null,
    "mcc": null,
    "name": null,
    "product_description": null,
    "support_address": {
      "city": null,
      "country": null,
      "line1": null,
      "line2": null,
      "postal_code": null,
      "state": null
    },
    "support_email": null,
    "support_phone": null,
    "support_url": null,
    "url": null,
    "minority_owned_business_designation": null
  },
  "business_type": null,
  "capabilities": {
    "card_payments": "active",
    "transfers": "active"
  },
  "charges_enabled": false,
  "controller": {
    "type": "account"
  },
  "country": "US",
  "created": 1234567890,
  "default_currency": "usd",
  "details_submitted": false,
  "email": "[email protected]",
  "external_accounts": {
    "data": [],
    "has_more": false,
    "object": "list",
    "url": "/v1/accounts/acct_1PgafTB7WZ01zgkW/external_accounts"
  },
  "future_requirements": {
    "alternatives": [],
    "current_deadline": null,
    "currently_due": [],
    "disabled_reason": null,
    "errors": [],
    "eventually_due": [],
    "past_due": [],
    "pending_verification": []
  },
  "id": "acct_1PgafTB7WZ01zgkW",
  "metadata": {},
  "object": "account",
  "payouts_enabled": false,
  "requirements": {
    "alternatives": [],
    "current_deadline": null,
    "currently_due": [
      "business_profile.product_description",
      "business_profile.support_phone",
      "business_profile.url",
      "external_account",
      "tos_acceptance.date",
      "tos_acceptance.ip"
    ],
    "disabled_reason": "requirements.past_due",
    "errors": [],
    "eventually_due": [
      "business_profile.product_description",
      "business_profile.support_phone",
      "business_profile.url",
      "external_account",
      "tos_acceptance.date",
      "tos_acceptance.ip"
    ],
    "past_due": [],
    "pending_verification": []
  },
  "settings": {
    "bacs_debit_payments": {
      "display_name": null,
      "service_user_number": null
    },
    "branding": {
      "icon": null,
      "logo": null,
      "primary_color": null,
      "secondary_color": null
    },
    "card_issuing": {
      "tos_acceptance": {
        "date": null,
        "ip": null
      }
    },
    "card_payments": {
      "decline_on": {
        "avs_failure": true,
        "cvc_failure": true
      },
      "statement_descriptor_prefix": null,
      "statement_descriptor_prefix_kana": null,
      "statement_descriptor_prefix_kanji": null
    },
    "dashboard": {
      "display_name": null,
      "timezone": "Etc/UTC"
    },
    "invoices": {
      "default_account_tax_ids": null,
      "hosted_payment_method_save": null
    },
    "payments": {
      "statement_descriptor": null,
      "statement_descriptor_kana": null,
      "statement_descriptor_kanji": null,
      "statement_descriptor_prefix_kana": null,
      "statement_descriptor_prefix_kanji": null
    },
    "payouts": {
      "debit_negative_balances": true,
      "schedule": {
        "delay_days": 2,
        "interval": "daily"
      },
      "statement_descriptor": null
    },
    "sepa_debit_payments": {}
  },
  "tos_acceptance": {
    "date": null,
    "ip": null,
    "user_agent": null
  },
  "type": "standard"
}

Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.